import { declare } from '@babel/helper-plugin-utils';

var index = declare((api, options) => {
  api.assertVersion("8.0.0-alpha.10");
  {
    if (options.syntaxType === "bar") {
      throw new Error('@babel/plugin-proposal-record-and-tuple: The syntaxType option is no longer supported. Please remove { syntaxType: "bar" } from your Babel config and migrate to the hash syntax #{} and #[].');
    } else if (options.syntaxType === "hash") {
      throw new Error('@babel/plugin-proposal-record-and-tuple: The syntaxType option is no longer supported. You can safely remove { syntaxType: "hash" } from your Babel config.');
    }
  }
  return {
    name: "syntax-record-and-tuple",
    manipulateOptions(opts, parserOpts) {
      {
        parserOpts.plugins.push("recordAndTuple");
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
